{****************************************************}
{}
{		XDEF_Test	}
{		Program to test code resources	}
{}
{		Hansruedi Baer		}
{		Department of Geography	}
{		University of Zurich		}
{		Winterthurerstrasse 190	}
{		CH-8057   Z u r i c h 		}
{		e-mail: baer@gis.geogr.unizh.ch	}
{}
{****************************************************}


program XDEF_Test;

	uses
		Dialog, Install, CalendarCDEF;

	const
		resType = 'CDEF';
		XDEFid = 9;

	var
		window: windowPtr;
		windowRect: Rect;

begin

	if InstallXDEF(resType, XDEFid, @Main) then
		Run

	else
		begin		{ This is hard-wired because the resource is possibly missing }
			SetRect(windowRect, 20, 40, 315, 170);
			window := NewWindow(nil, windowRect, '', TRUE, dBoxProc, Pointer(-1), FALSE, 0);
			SetPort(window);
			moveTo(30, 30);
			TextFont(Geneva);
			TextSize(10);
			TextFace([bold]);
			DrawString('Test failed because of missing resource');
			moveTo(38, 55);
			TextFace([]);
			TextSize(9);
			DrawString(' check resource file for correct types and Ids');
			moveTo(38, 70);
			DrawString(' check run options for resource file');
			moveTo(160, 110);
			DrawString('Press mouse to quit.');
			SysBeep(1);
			InitCursor;
			repeat
			until Button;
			DisposeWindow(window);
		end;
end.