{****************************************************}
{}
{		Install	}
{		Install a control definintion function	}
{}
{		Hansruedi Baer		}
{		Department of Geography	}
{		University of Zurich		}
{		Winterthurerstrasse 190	}
{		CH-8057   Z u r i c h 		}
{		e-mail: baer@gis.geogr.unizh.ch	}
{}
{****************************************************}

unit Install;

interface

	function InstallXDEF (xdefType: ResType; xdefID: integer; xdefProc: ProcPtr): boolean;

implementation

	type
		JmpRecord = record
				jmpInstr: integer;
				jmpAddr: Ptr;
			end;
		JmpPtr = ^JmpRecord;
		JmpHandle = ^JmpPtr;

	function InstallXDEF (xdefType: ResType; xdefID: integer; xdefProc: ProcPtr): boolean;
		var
			jH: JmpHandle;
	begin
		jH := JmpHandle(GetResource(xdefType, xdefID));

		if jH = nil then
			begin
				InstallXDEF := FALSE;
				EXIT(InstallXDEF);
			end

		else
			begin
				with jH^^ do
					begin
						jmpInstr := $4EF9;
						jmpAddr := xdefProc;
					end;
				HUnlock(Handle(jH));
				MoveHHi(Handle(jH));
				HNoPurge(Handle(jH));
			end;
		InstallXDEF := TRUE;
	end;

end.